CREATE TABLE IF NOT EXISTS `deskKregator_conf` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userID` int(10) unsigned NOT NULL,
  `old_items` tinyint(3) unsigned default NULL,
  `refresh_feed` tinyint(3) unsigned NOT NULL default '10',
  `preview_pane` enum('bottom','right','hide') NOT NULL default 'bottom',
  `showSummary` enum('true','false') NOT NULL default 'true',
  `tree_panel_width` int(11) NOT NULL default '254',
  `grid_panel_height` int(11) NOT NULL default '150',
  `preview_panel_south_height` int(11) NOT NULL default '300',
  `preview_panel_east_width` int(11) NOT NULL default '400',
  `DesktopIcon` enum('on','off') NOT NULL default 'on',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='User''s Configuration';

-- --------------------------------------------------------
--
-- Table `deskKregator_dir`
--

CREATE TABLE IF NOT EXISTS `deskKregator_dir` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` enum('file','folder') NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `image` varchar(255) NOT NULL,
  `favicon` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `url_feed` varchar(255) NOT NULL,
  `view` enum('normal','site') NOT NULL default 'normal',
  `refreshCycle` enum('on','off') NOT NULL default 'on',
  `node` int(11) NOT NULL,
  `display_order` int(10) unsigned NOT NULL,
  `expand` tinyint(1) NOT NULL default '1',
  `userID` int(11) NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Folder structure';

-- --------------------------------------------------------
--
-- Table `deskKregator_items`
--

CREATE TABLE IF NOT EXISTS `deskKregator_items` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `id_feed` int(10) unsigned NOT NULL,
  `titre` varchar(255) NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `auteur` varchar(255) NOT NULL,
  `summary` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `url` varchar(255) NOT NULL,
  `seen` enum('y','n') NOT NULL default 'n',
  `important` enum('y','n') NOT NULL default 'n',
  `userID` int(11) NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='All items';

-- ----------------------------------------------------------------------------
-- Add Desk-Kregator to qo_modules
-- ----------------------------------------------------------------------------
INSERT INTO `qo_modules` (
	`moduleName`
	, `moduleType`
	, `moduleId`
	, `version`
	, `author`
	, `description`
	, `path`
	, `active`
) VALUES (
	'QoDesk.DeskKregator'
	, 'internet'
	, 'DeskKregator-win'
	, '1.1'
	, 'Yannick Torrès'
	, 'An Atom/RSS/Podcast viewer'
	, 'system/modules/Desk-Kregator/'
	, 'true'
);

-- ----------------------------------------------------------------------------
-- Add files to qo_modules_has_files
-- ----------------------------------------------------------------------------

-- Javascript

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'Desk-Kregator.js' AS name, 'javascript' AS type) b;

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'ux/FileUploadField.js' AS name, 'javascript' AS type) b;

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'ux/spinner/Spinner.js' AS name, 'javascript' AS type) b;

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'ux/spinner/SpinnerStrategy.js' AS name, 'javascript' AS type) b;

-- Javascript locale

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'locale/Desk-Kregator-en.js' AS name, 'javascript' AS type) b;

-- Css

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'Desk-Kregator.css' AS name, 'css' AS type) b;

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'ux/spinner/Spinner.css' AS name, 'css' AS type) b;


-- Php

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/add-feed.php' AS name, 'php' AS type) b;

INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/add-folder.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/clean-feed.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/del-items.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/del-nodes.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/export.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/get-items-desc.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/get-items.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/get-nodes.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/get-user-conf.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/importer.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/mod-feed.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/mod-feed-text.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/mod-user-conf.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/save-Important.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/save-nodes.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/save-seenDB.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/save-seenUnseen.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/set-folder-state.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/set-panelsize-state.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/set-previewpaneposition-state.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/set-summary-state.php' AS name, 'php' AS type) b;
INSERT INTO `qo_modules_has_files` (`qo_modules_id`, `name`, `type`)
SELECT a.id, b.name, b.type 
FROM (SELECT id FROM qo_modules WHERE moduleId = 'DeskKregator-win') a
   , (SELECT 'php/update-feed.php' AS name, 'php' AS type) b;

-- ----------------------------------------------------------------------------
-- Add modules to all group
-- ----------------------------------------------------------------------------

insert into `qo_groups_has_modules` (`qo_groups_id`, `qo_modules_id`, `active`)
select g.id, m.id, 'true'
from (select id from qo_groups) g
   , (select id from qo_modules where moduleId like 'DeskKregator-win') m;

-- ----------------------------------------------------------------------------
-- Add Modules to launchers
-- ----------------------------------------------------------------------------
insert into `qo_modules_has_launchers` (`qo_modules_id`, `qo_launchers_id`, `sort_order`)
select m.id, l.id, 30
from (select id from qo_modules where moduleId = 'DeskKregator-win') m
   , (select id from qo_launchers where name = 'startmenu') l;